******************************************************************************
*                                                                            *
*   PROGRAM: merge                                                           *
*                                                                            *
*   PURPOSE: Create Awas geometry input data by merging two structures       *
*                                                                            *
******************************************************************************

	program merge

	character*76 title1,title2,title3,title4,title5,title6
	character*12 geo1,geo2
	complex exc

	write(*,101)
101	format(' Geo1? ',$)
	read(*,102)geo1
102	format(a12)
	write(*,103)
103	format(' Geo2? ',$)
	read(*,102)geo2

	open(file=geo1,unit=2,status='old')
	open(file=geo2,unit=3,status='old')

	read(2,'(a76)')title1	! Title lines
	read(2,'(a76)')title2
	read(2,'(a76)')title3
	read(3,'(a76)')title4	! Title lines
	read(3,'(a76)')title5
	read(3,'(a76)')title6

c	open file MERGE.GEO (the old copy will be deleted if it exists)

	open (file='merge.geo',unit=1)

c	write three title lines

	write(1,'(a76)')title1
	write(1,'(a76)')title4
	write(1,'(a76)')title2

	read(2,*)mode
	read(3,*)mode
	write(1,*)mode

	read(2,*)ignd
	read(3,*)ignd
	write(1,*)ignd

c	write total number of nodes

	read(2,*)nn1
	read(3,*)nn2
	write(1,*)nn1+nn2

c	write total number of wire segments

	read(2,*)ns1
	read(3,*)ns2
	write(1,*)ns1+ns2

c	write total number of ports

	read(2,*)np1
	read(3,*)np2
	write(1,*)np1+np2

	do i=1,nn1
	  read(2,*)x,y,z
	  write(1,*)x,y,z
	end do

	do i=1,nn2
	  read(3,*)x,y,z
	  write(1,*)x,y,z
	end do

	do i=1,ns1
	  read(2,*)nnt1,nnt2,a,il1,il2,il3,pl1,pl2,pl3,pl4,pl5,
     1	  pl6,pl7,pl8,pl9,pl10
	  write(1,*)nnt1,nnt2,a,il1,il2,il3,pl1,pl2,pl3,pl4,pl5,
     1	  pl6,pl7,pl8,pl9,pl10
	end do

	do i=1,ns2
	  read(3,*)nnt1,nnt2,a,il1,il2,il3,pl1,pl2,pl3,pl4,pl5,
     1	  pl6,pl7,pl8,pl9,pl10
	  write(1,*)nnt1+nn1,nnt2+nn1,a,il1,il2,il3,pl1,pl2,pl3,
     1	  pl4,pl5,pl6,pl7,pl8,pl9,pl10
	end do

c	write data for ports

	do i=1,np1
	  read(2,*)nsp,ip,exc,znom
	  write(1,*)nsp,ip,exc,znom
	end do

	do i=1,np2
	  read(3,*)nsp,ip,exc,znom
	  write(1,*)nsp+ns1,ip,exc,znom
	end do

	close(1)
	close(2)
	close(3)

	end