******************************************************************************
*                                                                            *
*   PROGRAM: scale                                                           *
*                                                                            *
*   PURPOSE: Scale Awas wire structure in coordinates and radius             *
*                                                                            *
******************************************************************************

	program scale

	dimension imp(3)
	real load(10)
	character*12 filein,fileout
	character*76 header
	complex exc

	write(*,101)
101	format(' Input file? ',$)
	read(*,102)filein
102	format(a12)
	write(*,103)
103	format(' Output file? ',$)
	read(*,102)fileout

	open(file=filein,unit=1,status='old')
	open(file=fileout,unit=2)

	write(*,104)
104	format(' Scale for x-coordinates? ',$)
	read(*,*)scalex
	write(*,105)
105	format(' Scale for y-coordinates? ',$)
	read(*,*)scaley
	write(*,106)
106	format(' Scale for z-coordinates? ',$)
	read(*,*)scalez
	write(*,107)
107	format(' Scale for wire radii? ',$)
	read(*,*)scalea

	do i=1,3
	  read(1,108)header
108	  format(a76)
	  write(2,108)header
	end do

	read(1,*)mode
	write(2,*)mode
	read(1,*)ignd
	write(2,*)ignd
	read(1,*)nn
	write(2,*)nn
	read(1,*)nb
	write(2,*)nb
	read(1,*)np
	write(2,*)np
	write(2,*)

	do i=1,nn
	  read(1,*)x,y,z
	  write(2,*)x*scalex,y*scaley,z*scalez
	end do
	write(2,*)

	do i=1,nb
	  read(1,*)join1,join2,a,imp,load
	  write(2,*)join1,join2,a*scalea,imp,load
	end do
	write(2,*)

	do i=1,np
	  read(1,*)ip,it,exc,zc
	  write(2,*)ip,it,exc,zc
	end do

	close(1)
	close(2)

	end